> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.instabase.com/api-sdk/api-reference/legacy/job-status-endpoint/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.instabase.com/_mcp/server. # Job status endpoint (Deprecated) > Job status endpoint for getting app run status and results. > **Warning** > > The [get run status](/api-sdk/api-reference/runs/get-run-status) endpoint offers a simpler way to get the status of an app run. This page remains temporarily available for reference but isn't actively maintained. Access app run job status by sending a `GET` request to `URL_BASE/api/v1/jobs/status` with the request body encoded as JSON. Use the job status API endpoint to get the current status of an app run and information about the results when the job is done. | Method | Syntax | | ------ | ----------------------------- | | GET | `URL_BASE/api/v1/jobs/status` | ## Request parameters Parameters are required unless marked as optional. | Name | Type | Description | Values | | -------- | ------ | --------------------------------------------------- | ------------------------------------ | | `job_id` | string | `job_id` reported by the initial execution request. | | | `type` | string | Job type of the job. | For AI Hub use, always set to `flow` | The most commonly used type is `flow`. ## Response schema All keys are returned in the response by default, unless marked as optional. | Key | Description | Value | | ----------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | | `status` | Status of request. | `OK`, `ERROR` | | `msg` | Job status message. | | | `state` | Job state. | `PENDING`, `DONE`, `COMPLETE` | | `job_id` | The unique identifier for the job. | | | `results` | Job results information. Present only if job is in a terminal state: `PAUSED`, `COMPLETE`, `FAILED`, `CANCELLED`, `STOPPED_AT_CHECKPOINT` | | | `results/status` | Job completion status. | `OK`, `ERROR` | | `results/output_folder` | Job output folder. Present if status equals `OK` | | | `results/msg` | Job error message. Present if status equals `ERROR` | | | `cur_status` | Job type specific JSON-encoded string containing current status of job. | | | `cur_status/status` | The current state of the Flow job. | `RUNNING`, `PAUSED`, `COMPLETE`, `FAILED`, `CANCELLED`, `STOPPED_AT_CHECKPOINT` | | `cur_status/finish_timestamp` | 10-digit Unix timestamp of Flow end. This field isn't available for `RUNNING` flows. | | | `cur_status/curProgress` | Progress of the job. | `[0-1]` | | `cur_status/reviewer` | Assigned reviewer of job. Empty if none. | Instabase username | | `cur_status/review_state` | Current state of job in the review process | `NONE`, `IN REVIEW`, `COMPLETED`, `NOT_COMPLETED` | | `cur_status/flow_job_metrics` | Metrics for the flow job | | | `cur_status/flow_review_metrics` | Metrics for the flow review | | | `cur_status/run_summary/recordsWithMsg` | The number of records that failed jobs grouped by failure type. | | | `cur_status/run_summary/numRecords` | The number of records processed. | | | `cur_status/run_summary/numRuntimeErrors` | The number of execution errors. | | | `cur_status/run_summary/numFiles` | The number of files processed. | | | `cur_status/finish_timestamp` | Finish timestamp of the job. | `null` if still running. | > Job status endpoint for getting app run status and results.